/* --- BASIC STYLES --- */

/*
 * Morocco colors
 * Red: #c22229;
 * Green: #006230;
 */
@font-face {
    font-family: Raleway;
    src: url("/fonts/raleway/Raleway-Regular.ttf") format("truetype");
}
@font-face {
    font-family: Fantasque;
    src: url("/fonts/fantasque-sans-mono/fantasquesansmono-regular.otf") format("opentype");
}

html {
    background-color: #e5e5e5;
}

body {
    font: 11px/18px Raleway, "Lucida Sans", Tahoma, sans-serif;
    color: #777777;
}

a, a:hover, a:active, a:visited {
    color: #c22229;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

p {
    margin-bottom: 10px;
}

/* --- HEADER --- */

#header h1#logo {
    font-family: "Fantasque", "Raleway", sans-serif;
    font-size: 26px;
    margin: 15px 0 0 0;
    color: #333;
    line-height: 1.1em;
}

#header h1#logo a {
    color: #333;
}

#header p {
    font-size: 10px;
    font-style: italic;
}

#header .timezones {
    font-size: 14px;
    color: #006230;
    margin-top: 15px;
    text-align:right;
}

/* --- CONTENT --- */

#content {
    overflow: hidden;
    background: #fff;
    margin: 0 0 30px 0;
    padding: 0 4px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

img.center {
    display: block;
    margin: 0 auto;
}

img.resize {
    max-width: 800px;
    margin-left: 10px;
}
video.resize {
    max-height: 800px;
    margin-left: 10px;
}

/* For devices smaller than 800px */
@media (max-width: 800px) {
    img.resize, video.resize {
        max-width: 300px;
        margin-left: 10px;
    }
}

.overlay {
    position: absolute;
    bottom: 0;
    left: 50%;
    margin-left: -64px;
}
/* --- FEATURED SECTION --- */

#featured {
    border: 1px solid #ebebeb;
    border-radius: 5px;
    padding: 12px;
    position: relative;
    overflow: hidden;
    margin: 0 0 30px 0;
}

#featured #featured-badge {
    position: absolute;
    top: 0; left: 0;
    width: 85px;
    height: 85px;
    background: url(../images/featuredbadge.png) no-repeat;
    z-index: 50;
}

/* --- BLOG SECTION --- */

#main h2 {
    font-family: Fantasque, Tahoma, sans-serif;
    border-bottom: 1px solid #e4e4e4;
    padding: 0 0 5px 10px;
    font-size: 20px;
    color: #be0000;
}

#main h2 a {
    color: #0b2236;
}

#main .post {
    margin: 5px 0 10px 0;
}

#main .post h3 {
    font-size: 18px;
    color: #be0000;
    margin: 0 0 10px 0;
}

#main .post h4 {
    font-size: 16px;
    color: #be0000;
    margin: 0 0 10px 0;
}

#main .post h5 {
    font-size: 14px;
    color: #be0000;
    margin: 0 0 10px 0;
}

#main .post h6 {
    font-size: 12px;
    color: #be0000;
    margin: 0 0 10px 0;
}

#main .post blockquote {
    width: 510px;
    margin: 15px auto;
    background-color: #f8f8f8;
    border: 1px solid #e3e3e3;
    padding: 15px;
    font-style: italic;
}

#main .post pre {
    background-color: #0b2236;
    padding: 15px;
    margin: 15px;
    color: #fff;
    font-family: Courier, "Courier New", monospace;
    font-size: 11px;
}

#main .post .thumb {
    background-color: #eee;
    float: left;
    margin: 0 15px 5px 0;
    padding: 5px;
    border: 1px solid #ddd;
}

#main .post .thumb:hover {
    background-color: #fff;
    padding: 5px;
    border: 1px solid #eee;
}

#main .postcontent {
    padding: 5px 10px;
    overflow: hidden;
    font-size: 12px;
    color: #333;
}
#main .postcontent p {
    font-size: 16px;
    line-height: 1.9rem;
    margin-bottom: .8rem;
}
/* For devices smaller than 800px */
@media (max-width: 800px) {
    #main .postcontent p {
        font-size: 14px;
        line-height: 1.5rem;
    }
}
#main .postcontent .meta span {
    color: #666;
    font-style: italic;
    font-size: 12px;
}

#main #blog .post ol {
    list-style: decimal inside;
    margin: 0 0 15px 0;
}

#main #blog .post ul {
    list-style: disc inside;
    margin: 0 0 15px 0;
}

#main .post .related {
    overflow: hidden;
    padding: 10px;
    border-top: 1px solid #e4e4e4;
    margin: 35px 0 10px;
}

#main .post .related h3 {
    color: #be0000;
    font-size: 36px;
    text-align: center;
    margin: 10px 0 30px 0;
}

#main .post related ul {
    overflow: hidden;
    margin: 40px 0;
}

#main .post .related ul li {
    margin: 20px 0px 0;
    list-style: none;
    float: left;
    width: 20%;
}

#main .post .related ul li img {
    background-color: #fff;
    padding: 3px;
    border: 1px solid #e4e4e4;
}
#main .post .related ul li img:hover {
    background-color: #eee;
    padding: 3px;
    border: 1px solid #ddd;
}



/* --- FOOTER  --- */

#footer {
    color: #fff;
    font-size: 12px;
    margin: 0 0 30px 0;
    padding: 0 20px;
}
#footer span.counter {
    font-size: 9px;
    color: #555;
    font-style: italic;
}

/* IMAGE STYLING */

img.alignright {
    margin: 5px 7px 5px 7px;
    display: inline;
    float: right;
}

img.alignleft {
    margin: 5px 7px 5px 7px;
    display: inline;
    float: left;
}

.size-thumbnail.alignright {
    float: right;
}

.size-thumbnail.alignleft {
    float: left;
}

.alignright {
    float: right;
}

.alignleft {
    float: left;
}
.postcontent img {
    margin-bottom: 10px;
    margin-top: 10px;
    padding: 5px;
    background:#EEEEEE none repeat scroll 0 0;
    border:1px solid #DDDDDD;
}

.editor {
    border: 1px solid #ddd;
    width: 90%;
    height: 200px;
    font-size: 1.4em;
}
input[type="text"].passcode {
    font-family: monospace;
    font-size: 1.4em;
    letter-spacing: 2px;
}

div#error p.loading {
    background: url(../images/loader.gif) 0 50% no-repeat;
    padding: 5px 0 0 20px;
}

div#error p.wrong {
    color: red;
}
